# Cancel a payment schedule item Cancels a payment schedule item by ID. Note: - The Payment Schedules feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Manage Features in the Knowledge Center. - This operation is only available if you have Invoice Settlement enabled. Endpoint: PUT /v1/payment-schedule-items/{item-id}/cancel Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `item-id` (string, required) The unique ID of a payment schedule item. ## Response 200 fields (application/json): - `accountId` (string) ID of the customer account that owns the payment schedule item, for example 402880e741112b310149b7343ef81234. - `amount` (number) The amount of the payment schedule item. - `balance` (number) The remaining balance of payment schedule item. - `billingDocument` (object) - `billingDocument.id` (string) ID of the billing document. for example, 2c9890306fb2121e016fb21a6b550041. - `billingDocument.number` (string) The number of the billing docuemnt, for example, INV00002345. - `billingDocument.type` (string) Indicates whether the associated billing document is a debit memo or a invoice. - `cancellationReason` (string) The reason for the cancellation of payment schedule item. - `createdById` (string) The ID of the user who created the payment schedule item. - `createdDate` (string) The date and time when the payment schedule item was created. - `currency` (string) The currency of the payment. - `description` (string,null) The description of the payment schedule item. - `errorMessage` (string) The error message indicating if the error is related to the configuration or the payment collection. - `id` (string) ID of the payment schedule item. For example, 412880e749b72b310149b7343ef81346. - `number` (string) Number of the payment schedule item. - `paymentGatewayId` (string,null) ID of the payment gateway of the payment schedule item. - `paymentMethodId` (string) ID of the payment method of the payment schedule item. - `paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. - `paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `paymentOption.detail.key` (string) The name of the field. - `paymentOption.detail.value` (string) The value of the field. - `paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `paymentScheduleId` (string) ID of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005, - `paymentScheduleNumber` (string) Number of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005, - `psiPayments` (array) Container for payments linked to the payment schedule item. - `psiPayments.paymentId` (string) ID of the payment. - `runHour` (integer) At which hour in the day in the tenant’s timezone this payment will be collected. - `scheduledDate` (string) The scheduled date when the payment is processed. - `standalone` (boolean) Indicates if the payment created by the payment schedule item is a standalone payment. - `status` (string) ID of the payment method of the payment schedule item. - Pending: Waiting for processing. - Processed: The payment has been collected. - Error: Failed to collect the payment. - Canceled: After a pending payment schedule item is canceled by the user, the item is marked as Canceled. Enum: "Pending", "Processed", "Error", "Canceled" - `success` (boolean) Returns true if the request was processed successfully. - `updatedById` (string) The ID of the user who updated the payment schedule item. - `updatedDate` (string) The date and time when the payment schedule item was last updated. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.